# My Project: Publisher Class Reference

Loading...
Searching...
No Matches
Publisher Class Reference

`#include <Publisher.hh>`

Collaboration diagram for Publisher:

## Public Member Functions

| Publisher (std::shared_ptr< grpc::Channel > channel)
grpc::Status | send_order (const trading::Order &order)

## Private Attributes

std::unique_ptr< trading::TradingService::Stub > | _stub

## Constructor & Destructor Documentation

## Publisher()

Publisher::Publisher | ( | std::shared_ptr< grpc::Channel > | channel | ) |

explicit

References _stub.

## Member Function Documentation

## send_order()

grpc::Status Publisher::send_order | ( | const trading::Order & | order | ) |

References _stub.

## Member Data Documentation

## _stub

std::unique_ptr<trading::TradingService::Stub> Publisher::_stub

private

Referenced by Publisher(), and send_order().

The documentation for this class was generated from the following files:

- include/Publisher.hh
- src/Publisher.cc